
#ifndef  AlignmentMuonRenderPlugin_H
# define AlignmentMuonRenderPlugin_H

/*!
  \file AlignmentMuonRenderPlugin
  \brief Display Plugin for DQM AlignmentMuon
  \author J. Fernandez - Univ. Oviedo <Javier.Fernandez@cern.ch>
  $Revision: 1.1 $
  $Date: 2008/12/13 12:56:12 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <string>
#include <TH2C.h>
#include <TGaxis.h>

class TLatex;

class AlignmentMuonRenderPlugin : public DQMRenderPlugin {

 public:
  AlignmentMuonRenderPlugin();

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o,
			const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o,
			 const VisDQMImgInfo &i );

 private:
    
  // private functions...
  void preDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );


};

#endif //  AlignmentMuonRenderPlugin_H
