// $Id: DTRenderPlugin.h,v 1.4 2008/07/02 15:37:40 cerminar Exp $

#ifndef  DTRenderPlugin_H
# define DTRenderPlugin_H

/*!
  \file DTRenderPlugin
  \brief Display Plugin for Quality Histograms
  \author G.Masetti 
  \version $Revision: 1.4 $
  \date $Date: 2008/07/02 15:37:40 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <string>
#include <TH2C.h>
#include <TGaxis.h>

class TLatex;

class DTRenderPlugin : public DQMRenderPlugin {

 public:
  DTRenderPlugin();

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o,
			const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o,
			 const VisDQMImgInfo &i );

 private:
    
  // private functions...
  void preDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTProfile( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH1( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTProfile( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1( TCanvas *c, const DQMNet::CoreObject &o );

  TLatex *labelMB4Sect_global;
  TLatex *labelMB4Sect4and13_wheel;
  TLatex *labelMB4Sect10and14_wheel;

};

#endif //  DTRenderPlugin_H
