// $Id: EBRenderPlugin.h,v 1.17 2009/01/28 10:05:31 dellaric Exp $

#ifndef  EBRenderPlugin_H
# define EBRenderPlugin_H

/*!
  \file EBRenderPlugin
  \brief Display Plugin for Quality Histograms
  \author B. Gobbo 
  \version $Revision: 1.17 $
  \date $Date: 2009/01/28 10:05:31 $
*/

#include <stdexcept>

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <TH2C.h>

class EBRenderPlugin : public DQMRenderPlugin {

 public:

  virtual void initialise( int argc, char **argv );

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

 private:

  TH2C* text1;
  TH2C* text2;
  TH2C* text3;
  TH2C* text4;
  TH2C* text6;
  TH2C* text7;
  TH2C* text8;
  TH2C* text9;

  int pCol3[7]; 
  int pCol4[10];
  int pCol5[10];
  int pCol6[10];
    
  void preDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTProfile( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

  void postDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

  int iEB( const int ism ) throw( std::runtime_error );

};

#endif //  EBRenderPlugin_H
