#ifndef HLTRENDERPLUGIN_H
# define HLTRENDERPLUGIN_H

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h" 

#include "TH1F.h"
#include "TH2F.h"

/*  L1TRenderPlugin.h code
 *  
 *  by B. Bloom
 *  v1.0
 *  30 June 2008
 *
 *  Code shamelessly borrowed from existing HcalRenderPlugin, 
 *  SiStripRenderPlugin,EBRenderPlugin, etc from D. Teo.
 *
 *  Code will institute special L1T-specific instructions for 
 *  drawing DQM histograms
 */

class HLTRenderPlugin: public DQMRenderPlugin
{
public:
  // inherits constructor, destructor from parent DQMRenderPlugin

  // These functions may be different that parent version
  virtual void		initialise (int argc, char **argv);
  virtual bool		applies (const DQMNet::CoreObject &o,
				 const VisDQMImgInfo &i);
  virtual void		preDraw (TCanvas *c,
				 const DQMNet::CoreObject &o,
				 const VisDQMImgInfo &i,
				 VisDQMRenderInfo &r);
  virtual void		postDraw (TCanvas *c,
				  const DQMNet::CoreObject &o,
				  const VisDQMImgInfo &i);

 private:
  
  void preDrawTH1F ( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2F ( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );

};

#endif //  HLTRENDERPLUGIN_H
