// $Id: L1TdeRCTRenderPlugin.h,v 1.5 2009/01/27 09:49:56 asavin Exp $

#ifndef  L1TdeRCTRenderPlugin_H
# define L1TdeRCTRenderPlugin_H

/*!
  \file L1TdeRCTRenderPlugin
  \brief Display Plugin for Quality Histograms
  \author  A.Savin
  \version $Revision: 1.5 $
  \date $Date: 2009/01/27 09:49:56 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <TH2F.h>

class L1TdeRCTRenderPlugin : public DQMRenderPlugin {

 public:

  virtual void initialise( int argc, char **argv );

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

 private:

  TH2F* dummybox;

  Int_t paletteSize;
  Int_t nContours;

  Int_t pEff    [100];
  Int_t pIneff  [100];
  Int_t pOvereff[100];

    
  void preDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTProfile( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

  void postDrawTProfile2D( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH3F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH2F( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1F( TCanvas *c, const DQMNet::CoreObject &o );

};

#endif //  L1TdeRCTRenderPlugin

