#ifndef  SiPixelRenderPlugin_H
# define SiPixelRenderPlugin_H

/*!
  \file SiPixelRenderPlugin
  \brief Display Plugin for Pixel DQM Histograms
  \author P.Merkel
  \version $Revision: 1.1 $
  \date $Date: 2008/06/03 10:25:37 $
*/

#include "VisMonitoring/DQMServer/interface/DQMRenderPlugin.h"
#include "VisMonitoring/DQMServer/interface/DQMRenderPluginDB.h"

#include <string>
#include <TH2C.h>
#include <TGaxis.h>

class SiPixelRenderPlugin : public DQMRenderPlugin {

 public:

  virtual bool applies( const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

  virtual void preDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i, VisDQMRenderInfo&  r);

  virtual void postDraw( TCanvas *c, const DQMNet::CoreObject &o, const VisDQMImgInfo &i );

 private:
    
  // private functions...
  void preDrawTH1 ( TCanvas *c, const DQMNet::CoreObject &o );
  void preDrawTH2 ( TCanvas *c, const DQMNet::CoreObject &o );
  void postDrawTH1( TCanvas *c, const DQMNet::CoreObject &o );

};

#endif //  SiPixelRenderPlugin_H
